エンジンの提案が見つかりません

Moses Skodaエンジニア読了目安 1分

APIは、この問題を404 Not Foundの応答として返します。typeはhttps://lingo.dev/docs/api/errors/engine-suggestion-not-foundです。すべてのエラーに共通する構造については、エラーとステータスコードを参照してください。

このエンジンの提案はすでに存在しません。提案を再読み込みしてください。

フィールド#

応答本文には、標準のtype、status、title、detailの各メンバーに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドをもとに生成されるため、クライアント側で独自のテキストに置き換えて表示できます。

フィールド型
idstring

例#

json
{
  "detail": "This engine suggestion no longer exists. Reload the suggestions.",
  "id": "<id>",
  "type": "https://lingo.dev/docs/api/errors/engine-suggestion-not-found",
  "status": 404,
  "title": "Engine suggestion not found"
}

このエラーを返すエンドポイント#

  • POST /v2/engine-suggestions/{id}/apply
  • POST /v2/engine-suggestions/{id}/dismiss